This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 743847 - 2 misc.test fails in the upstream test suite (from second run)
2 misc.test fails in the upstream test suite (from second run)
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: acl (Show other bugs)
6.2
All Linux
low Severity low
: rc
: ---
Assigned To: Kamil Dudka
BaseOS QE Security Team
: EasyFix, FastFix, Patch
Depends On:
Blocks: 1356056
  Show dependency treegraph
 
Reported: 2011-10-06 05:54 EDT by Ondrej Moriš
Modified: 2016-07-25 02:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondrej Moriš 2011-10-06 05:54:39 EDT
Description of problem:

File test/f is not removed after first run of upstream tests. This causes all subsequent tests executions to fail:

# make tests
...
[11] $ setfacl -m u::rw,u:bin:rw f -- ok
[12] $ ls -dl f | awk '{print $1}' -- failed
-rw-rw-r--+                           != -rw-rw----+
[15] $ getfacl --omit-header f -- failed
user::rw-                             == user::rw-
user:bin:rw-                          == user:bin:rw-
group::rw-                            != group::r--
mask::rw-                             == mask::rw-
other::r--                            != other::---
                                      == 
[23] $ rm f -- ok
...

As Kamil pointed out [1], removing tests/f file in misc.test solves this problem:

--- a/test/misc.test 
+++ b/test/misc.test 
@@ -3,6 +3,7 @@ Pretty comprehensive ACL tests. 
This must be run on a filesystem with ACL support. Also, you will need 
two dummy users (bin and daemon) and a dummy group (daemon). 

+ $ rm -f f 
  $ umask 027 
  $ touch f

Version-Release number of selected component (if applicable):

acl-2.2.49-5.el6

How reproducible:

Always.

Steps to Reproduce:

1. rpmbuild -vv -ba ~/rpmbuil/SPECS/acl.spec
2. make -C ~/rpmbuild/BUILD/acl-2.2.49/ tests
  
Actual results:

*** misc.test ***
...
103 commands (101 passed, 2 failed)

Expected results:

*** misc.test ***
...
104 commands (104 passed, 0 failed)
Comment 1 Kamil Dudka 2011-10-06 06:44:47 EDT
upstream commit:

http://git.savannah.gnu.org/cgit/acl.git/commit/?id=a1efce0
Comment 3 Suzanne Yeghiayan 2012-02-14 18:17:01 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.